## libmowgli-2 2.0.0

=== src/examples/Makefile ===
SUBDIRS = echoserver vio-udplistener async_resolver formattertest helpertest libevent-bench linetest listsort memslice-bench patriciatest patriciatest2 randomtest timertest futuretest

include ../../buildsys.mk

=== src/libmowgli/Makefile ===
include ../../extra.mk

LIB_MAJOR = 0
LIB_MINOR = 0

SHARED_LIB = ${LIBMOWGLI_SHARED_LIB}
STATIC_LIB = ${LIBMOWGLI_STATIC_LIB}

SUBDIRS = ${LIBMOWGLI_MODULES} platform

INCLUDES = mowgli.h

LIB_OBJS_EXTRA = ${LIB_OBJS} ${LIBMOWGLI_SHARED_MODULES}
OBJS_EXTRA = ${LIBMOWGLI_STATIC_MODULES}

include ../../buildsys.mk

LIBS += ${PTHREAD_LIBS}
CPPFLAGS += -I. -I../.. -DMOWGLI_CORE

=== src/examples/futuretest/Makefile ===
PROG_NOINST = futuretest${PROG_SUFFIX}
SRCS = futuretest.c

include ../../../buildsys.mk

CPPFLAGS += -I../../libmowgli
LIBS += -L../../libmowgli -lmowgli-2

=== src/examples/timertest/Makefile ===
PROG_NOINST = timertest${PROG_SUFFIX}
SRCS = timertest.c

include ../../../buildsys.mk

CPPFLAGS += -I../../libmowgli
LIBS += -L../../libmowgli -lmowgli-2

=== src/libmowgli/base/Makefile ===
include ../../../extra.mk

STATIC_PIC_LIB_NOINST = ${LIBMOWGLI_SHARED_BASE}
STATIC_LIB_NOINST = ${LIBMOWGLI_STATIC_BASE}

SRCS = argstack.c		\
       bitvector.c 		\
       formatter.c		\
       hash.c			\
       hook.c			\
       memslice.c		\
       random.c			\
       mowgli_signal.c

INCLUDES = argstack.h		\
	   bitvector.h		\
	   formatter.h		\
	   hash.h		\
	   hook.h		\
	   memslice.h		\
	   random.h		\
	   mowgli_signal.h

include ../../../buildsys.mk

includesubdir = $(PACKAGE_NAME)/base

CPPFLAGS += -I. -I.. -I../../.. -DMOWGLI_CORE

=== src/libmowgli/container/Makefile ===
include ../../../extra.mk

STATIC_PIC_LIB_NOINST = ${LIBMOWGLI_SHARED_CONTAINER}
STATIC_LIB_NOINST = ${LIBMOWGLI_STATIC_CONTAINER}

SRCS = dictionary.c	\
       list.c 		\
       queue.c		\
       index.c		\
       patricia.c

INCLUDES = dictionary.h	\
	   list.h	\
	   queue.h	\
	   index.h	\
	   patricia.h

include ../../../buildsys.mk

includesubdir = $(PACKAGE_NAME)/container

CPPFLAGS += -I. -I.. -I../../.. -DMOWGLI_CORE

=== src/libmowgli/core/Makefile ===
include ../../../extra.mk

STATIC_PIC_LIB_NOINST = ${LIBMOWGLI_SHARED_CORE}
STATIC_LIB_NOINST = ${LIBMOWGLI_STATIC_CORE}

SRCS = bootstrap.c			\
       alloc.c			\
       allocation_policy.c	\
       allocator.c		\
       heap.c			\
       logger.c			\
       mowgli_string.c		\
       process.c

INCLUDES = bootstrap.h		\
	   alloc.h		\
	   allocation_policy.h	\
	   allocator.h		\
	   assert.h		\
	   exception.h		\
	   heap.h		\
	   iterator.h		\
	   logger.h		\
	   mowgli_string.h	\
	   stdinc.h		\
	   process.h

include ../../../buildsys.mk

includesubdir = $(PACKAGE_NAME)/core

CPPFLAGS += -I. -I.. -I../../.. -DMOWGLI_CORE

=== src/libmowgli/platform/Makefile ===
SUBDIRS = win32

INCLUDES = constructor.h machine.h

include ../../../buildsys.mk

includesubdir = $(PACKAGE_NAME)/platform

include ../../../extra.mk

=== src/libmowgli/platform/win32/Makefile ===
include ../../../../extra.mk

STATIC_PIC_LIB_NOINST = ${LIBMOWGLI_SHARED_PLATFORM_WIN32}
STATIC_LIB_NOINST = ${LIBMOWGLI_STATIC_PLATFORM_WIN32}

SRCS = fork.c gettimeofday.c inet.c pipe.c socketpair.c setenv.c

INCLUDES = win32_stdinc.h

include ../../../../buildsys.mk

includesubdir = $(PACKAGE_NAME)/platform/win32

CPPFLAGS += -I. -I.. -I../.. -I../../../.. -DMOWGLI_CORE

=== debian/changelog ===
libmowgli-2 (2.0.0-3) unstable; urgency=medium

  * Fix symbols, unbreak build on kFreeBSD.
  * Update the home page URL (Closes: #747383).
  * Add pkg-config dependency (Closes: #747336).

 -- Andrew Shadura <andrewsh@debian.org>  Wed, 18 Jun 2014 23:41:26 +0200

libmowgli-2 (2.0.0-2) unstable; urgency=medium

  * Add missing licenses to debian/copyright (Closes: #741436).
  * Fix build on unsupported architectures and Hurd (Closes: #745608).

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 17 Jun 2014 10:16:10 +0200

libmowgli-2 (2.0.0-1) unstable; urgency=low

  * New major upstream release (Closes: #676964).
  * Update copyright file.

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 28 Jan 2014 15:45:25 +0100

libmowgli (1.0.0-4) unstable; urgency=low

  * Update config.sub and config.guess on build (Closes: #727414).
  * Build-depend on autotools-dev to have fresh config.* files.

 -- Andrew Shadura <andrewsh@debian.org>  Mon, 27 Jan 2014 19:54:50 +0100

libmowgli (1.0.0-3) unstable; urgency=low

  * Fix arch-dependent files in -dev package (Closes: #670014).

 -- Andrew Shadura <andrewsh@debian.org>  Wed, 23 Oct 2013 11:57:40 +0200

libmowgli (1.0.0-2) unstable; urgency=low

  * Update Standards-Version to 3.9.4 (no changes).
  * Fix FTBFS with latest debhelper (Closes: #724183).
  * Fix arch-dependent files in -dev package (Closes: #670014).

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 22 Oct 2013 15:30:44 +0200

libmowgli (1.0.0-1) unstable; urgency=low

  * New maintainer
  * New upstream release (Closes: #647748, #559181, #590064)
  * Switch to 3.0 (quilt) format, drop README.source
  * Bump Standards-Version to 3.9.3
  * Don't compress examples source code
  * Use dpkg-buildflags
  * Update Homepage field
  * Update copyright file
  * Update package descriptions
  * Update symbols file
  * Update watch file
  * Run autoreconf during build, stop using autotools-dev
  * Use debian/clean to clean up after build
  * Remove duplicate Section fields in debian/control
  * Update Vcs-* fields
  * Add lintian override for exception handling code calling exit(3)
  * Don't try to install make dependency bits along with examples
  * Add multiarch support:
    - raise debhelper compatibility level to 9
    - raise debhelper build-dependency to 9
    - add Pre-Depends to the binary package
    - change install files to use multiarch paths
    - use Multi-Arch: same for binary packages
    - strip multiarch paths from buildsys.mk installed
      along with examples

 -- Andrew O. Shadura <bugzilla@tut.by>  Mon, 02 Apr 2012 15:04:06 +0200

libmowgli (0.7.1-1) unstable; urgency=low

  * New upstream version
  * Update patch 001-Disable_Makefile_silent_output.diff
    Update 001-Disable_Makefile_silent_output.diff for
    current makefile
  * Remove 'a' from package description
    (Closes: #500944)

 -- Patrick Schoenfeld <schoenfeld@debian.org>  Tue, 22 Feb 2011 16:21:44 +0100

libmowgli (0.7.0-3) unstable; urgency=low

  * Upload to sid (Closes: #559181, #590064)
  * Update watch file
  * Update the Vcs-uris to reflection the migration git
  * Switch to debhelper 7
  * Switch to quilt as patch management system
  * Update Standards-Version, changes needed:
    + Update section of libmowgli2-dbg to 'debug'
  * Add missing misc:Depends in libmowgli-dev and libmowgli2-dbg control
    information
  * Remove Adam Cécile from uploaders
  * Fix watch file (again)
    (Closes: #486575)

 -- Patrick Schoenfeld <schoenfeld@debian.org>  Tue, 22 Feb 2011 15:26:10 +0100

libmowgli (0.7.0-2) experimental; urgency=low

  * Upload to experimental because lenny is frozen
  * Replace (C) with © because of its legal entitlement (in debian/copyright)

 -- Patrick Schoenfeld <schoenfeld@debian.org>  Wed, 17 Sep 2008 16:21:14 +0200

libmowgli (0.7.0-1) experimental; urgency=low

  * Upload to experimental because lenny is frozen
  * New upstream version
  * Updated maintainer email address
  * Adapt the packagename, because of the bumped SONAME
  * Remove 003-dont-call-exit-where-its-not-appropriate.dpatch because
    changes were applied upstream
  * Fix watch file, broken due to change in upstream site. Thanks to Tim Retout
    for the bug report and the patch.
    (Closes: #486575)
  * Fixed a spelling error in the long description of libmowgli2
    (application -> applications)
  * Remove introduction texts from descriptions that are not aimed at
    developers, because its not interesting for endusers
  * Fix indentation in debian/copyright
  * Update upstream homepage in debian/control and debian/changelog
  * Updated copyright file
  * Add debian/README.source to document patch handling for compliance
    with updated policy
  * Bump Standards-version to 3.8.0

 -- Patrick Schoenfeld <schoenfeld@debian.org>  Wed, 17 Sep 2008 10:46:27 +0200

libmowgli (0.6.1-1) unstable; urgency=low

  * New upstream release (Closes: #463604)
  * Added Vcs-Headers
  * Introducing William Pitcock as a new co-maintainer
  * Added a symbols file for dpkg-gensymbols to enable more relaxed
    dependencies for packages that depend on libmowgli
  * Added a patch (backport of changes in upstream mercurial repository) to
    fix the inappropriate call of exit in the library (Closes: #465740)
  * Reworked the copyright file to make licensing and copyright informations
    more clear and fix errors in old copyright file.
  * Changed order of dh_makeshlibs and dh_fixperms in debian/rules to avoid
    problems with permissions that occur under some conditions
  * Changed call to dh_makeshlibs so that it produces a versioned shlibs file
  * Some changes to the package descriptions so its more clear for what the
    different binary packages are used

 -- Patrick Schoenfeld <schoenfeld@in-medias-res.com>  Thu, 10 Jan 2008 08:41:59 +0100

libmowgli (0.6.0-1) unstable; urgency=low

  * New upstream release
    (Closes: #458410)
  * Removed patch for wrong SONAME (it was integrated upstream)
  * Updated Standards Version



=== debian/rules ===
#!/usr/bin/make -f

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

export ACLOCAL := aclocal -I m4

export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --with=autoreconf

override_dh_auto_configure:
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	dh_auto_configure -- SHELL=/bin/sh

override_dh_auto_install:
	dh_auto_install
	# mkdir -p debian/libmowgli-2-0/usr/include/$(DEB_HOST_MULTIARCH)/libmowgli-2/platform
	# mv -f debian/tmp/usr/include/libmowgli-2/platform/autoconf.h debian/libmowgli-2-0/usr/include/$(DEB_HOST_MULTIARCH)/libmowgli-2/platform/autoconf.h

override_dh_installexamples:
	sed -e 's,\(libdir = \$${prefix}/lib\)/.*$$,\1,' \
	    -e 's,CFLAGS = .*$$,CFLAGS = ,' \
		-e 's,CPPFLAGS = .*$$,CPPFLAGS = ,' \
		-e 's,LDFLAGS = .*$$,LDFLAGS = ,' < buildsys.mk > buildsys.mk.new
	mv -f buildsys.mk.new buildsys.mk
	dh_installexamples -X.dep

override_dh_compress:
	dh_compress -Xusr/share/doc/libmowgli-2-dev/examples

override_dh_strip:
	dh_strip --dbg-package=libmowgli-2-0-dbg

override_dh_auto_clean:
	[ ! -f buildsys.mk ] || dh_auto_clean

.PHONY: override_dh_installexamples override_dh_compress override_dh_strip override_dh_auto_clean override_dh_auto_install override_dh_auto_configure

=== debian/watch ===
version=3
http://distfiles.atheme.org/libmowgli-(.*)\.t.*

## libmowgli-2 2.1.0

=== src/examples/Makefile ===
SUBDIRS = echoserver vio-udplistener async_resolver formattertest helpertest jsontest libevent-bench linetest listsort memslice-bench patriciatest patriciatest2 randomtest timertest
include ../../buildsys.mk

=== src/examples/helpertest/Makefile ===
PROG_NOINST = helpertest${PROG_SUFFIX}
SRCS = helpertest.c

include ../../../buildsys.mk

CPPFLAGS += -I../../libmowgli
LIBS += -L../../libmowgli -lmowgli-2

=== src/examples/memslice-bench/Makefile ===
PROG_NOINST = memslice-bench${PROG_SUFFIX}
SRCS = memslice-bench.c

include ../../../buildsys.mk

CPPFLAGS += -I../../libmowgli
LIBS += -L../../libmowgli -lmowgli-2

=== src/examples/vio-udplistener/Makefile ===
PROG_NOINST = vio-udplistener${PROG_SUFFIX}
SRCS = vio-udplistener.c

include ../../../buildsys.mk

CPPFLAGS += -I../../libmowgli
LIBS += -L../../libmowgli -lmowgli-2

=== src/libmowgli/platform/Makefile ===
include ../../../extra.mk

STATIC_PIC_LIB_NOINST = ${LIBMOWGLI_SHARED_PLATFORM}
STATIC_LIB_NOINST = ${LIBMOWGLI_STATIC_PLATFORM}

SUBDIRS = win32

SRCS = cacheline.c

INCLUDES = attributes.h cacheline.h constructor.h machine.h

include ../../../buildsys.mk

includesubdir = $(PACKAGE_NAME)/platform

CPPFLAGS += -I. -I.. -I../../.. -DMOWGLI_CORE

=== debian/changelog ===
libmowgli-2 (2.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 05 Jul 2016 15:42:56 +0200

libmowgli-2 (2.0.0+git20140224.89982cf4-2) unstable; urgency=medium

  * Upload to unstable.
  * Update debian/watch.

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 05 Jul 2016 15:38:49 +0200

libmowgli-2 (2.0.0+git20140224.89982cf4-1) experimental; urgency=medium

  * New upstream snapshot (Closes: #741518).
  * Refresh patches.
  * Update symbols file.
  * Update the home page URL (Closes: #747383).
  * Add pkg-config dependency (Closes: #747336).

 -- Andrew Shadura <andrewsh@debian.org>  Wed, 18 Jun 2014 23:36:06 +0200

=== debian/control ===
Source: libmowgli-2
Priority: optional
Maintainer: Andrew Shadura <andrewsh@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf, autotools-dev
Standards-Version: 3.9.5
Homepage: http://www.atheme.org/projects/libmowgli.html
Vcs-Hg: http://anonscm.debian.org/hg/collab-maint/libmowgli
Vcs-Browser: http://anonscm.debian.org/hg/collab-maint/libmowgli/summary
Section: libs

Package: libmowgli-2-dev
Section: libdevel
Architecture: any
Depends:
 libmowgli-2-0 (= ${binary:Version}),
 ${misc:Depends},
 pkgconf | pkg-config
Multi-Arch: same
Description: high performance development framework for C (development)
 Mowgli is a development framework for C (like GLib), which provides high
 performance and highly flexible algorithms. It can be used as a supplement
 to GLib (to add additional functions (dictionaries, hashes), or replace some
 of the slow GLib list manipulation functions), or stand alone. It also
 provides a powerful hook system and convenient logging for your code, as well
 as high performance block allocator.
 .
 This package contains files needed for development with this library and code
 examples.

Package: libmowgli-2-0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: high performance development framework for C
 Mowgli is a development framework for C (like GLib), which provides high
 performance and highly flexible algorithms. It can be used as a supplement
 to GLib (to add additional functions (dictionaries, hashes), or replace some
 of the slow GLib list manipulation functions), or stand alone. It also
 provides a powerful hook system and convenient logging for your code, as well
 as high performance block allocator.
 .
 This package contains the shared library needed to run programs that use the
 mowgli library.

Package: libmowgli-2-0-dbg
Priority: extra
Section: debug
Architecture: any
Depends: libmowgli-2-0 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: high performance development framework for C (debug)
 Mowgli is a development framework for C (like GLib), which provides high
 performance and highly flexible algorithms. It can be used as a supplement
 to GLib (to add additional functions (dictionaries, hashes), or replace some
 of the slow GLib list manipulation functions), or stand alone. It also
 provides a powerful hook system and convenient logging for your code, as well
 as high performance block allocator.
 .
 This package contains the debug symbols needed to create meaningful backtraces
 for applications that use the mowgli library.

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 ifneq "$(wildcard /usr/share/misc/config.guess)" ""
 	cp -f /usr/share/misc/config.guess config.guess
 endif
-	dh_auto_configure -- SHELL=/bin/sh
+	dh_auto_configure -- SHELL=/bin/sh --with-openssl=no
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/watch ===
version=4
opts="mode=git" https://github.com/atheme/libmowgli-2.git \
refs/tags/v([\d\.]+) debian uupdate
